GET /api/v3/costcenter/{costCenterId}

Retrieves the cost center by ID

GetCostCenterV3 Permissions: CostCenters (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
costCenterId The identifier for the cost center being retrieved integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

CostCenterResponse
Property Description Type
accounts An array of child accounts CostCenterAccountChild[]
CostCenterAccountChild properties
Property Description Type
accountCode The account code string
accountId The account identifier integer (int32)
accountInfo The account info string
accountType AccountTypeChild
AccountTypeChild properties
Property Description Type
accountTypeCode The account type code string
accountTypeId The account type identifier integer (int32)
accountTypeInfo The account type info string
active Whether the account is active or not boolean
hasCalculatedMeter Indicates whether the Account has a child calculated meter boolean
hasSplitChildMeter Indicates whether the Account has a child split meter boolean
hasSplitParentMeter Indicates whether the Account is a recipient of a split boolean
hasSubAccount Indicates whether the Account has a sub-account boolean
isSubAccount Indicates whether the Account is a sub-account boolean
costCenterCode The cost center code string
costCenterId The cost center identifier integer (int32)
costCenterInfo The cost center info string
costCenters An array of child cost centers CostCenterChild[]
CostCenterChild properties
Property Description Type
costCenterCode The cost center code string
costCenterId The cost center identifier integer (int32)
costCenterInfo The cost center info string
parent CostCenterChild
CostCenterChild properties
Property Description Type
costCenterCode The cost center code string
costCenterId The cost center identifier integer (int32)
costCenterInfo The cost center info string
Example Response application/json
{  "accounts": [
    {    "accountCode": "string",    "accountId": 1,    "accountInfo": "string",    "accountType": {      "accountTypeCode": "string",      "accountTypeId": 1,      "accountTypeInfo": "string"
    },    "active": false,    "hasCalculatedMeter": false,    "hasSplitChildMeter": false,    "hasSplitParentMeter": false,    "hasSubAccount": false,    "isSubAccount": false
  }
  ],  "costCenterCode": "string",  "costCenterId": 1,  "costCenterInfo": "string",  "costCenters": [
    {    "costCenterCode": "string",    "costCenterId": 1,    "costCenterInfo": "string"
  }
  ],  "parent": {    "costCenterCode": "string",    "costCenterId": 1,    "costCenterInfo": "string"
  }
}